package banco.cliente;

public interface IRepositorioClientes {

    public void atualizar(Cliente c) throws ClienteInexistenteException;
    public void inserir(Cliente c) ;
    public Cliente procurar(String cpf) throws ClienteInexistenteException;
    public void remover(String cpf) throws ClienteInexistenteException;
    public boolean existe(String cpf);
}