package banco.conta;

import banco.cliente.*;

public class ContaBonificada extends Conta {

   private double bonus;

   public ContaBonificada(String numeroConta) {
	   super(numeroConta);
   }
   public ContaBonificada(String numeroConta, double saldo) {
	   super(numeroConta, saldo);
   }
   public ContaBonificada(String numeroConta, double saldo, Cliente c) {
	   super(numeroConta, saldo, c);
   }

   public void creditar(double valor) {
	bonus = bonus + valor * 0.01;
	super.creditar(valor);
   }
   public void renderBonus() {
	super.creditar(bonus);
	bonus = 0;
   }
   public double getBonus() {
	return bonus;
   }
}