package banco.conta;

public interface IRepositorioContas {

    public void atualizar(ContaAbstrata c) throws ContaInexistenteException;
    public void inserir(ContaAbstrata c);
    public ContaAbstrata procurar(String numero) throws ContaInexistenteException;
    public ColecaoContasIteravel procurarContas(String cpf);
    public void remover(String num) throws ContaInexistenteException;
    public boolean existe(String numero);
}

