package banco.gui;

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import banco.fachada.*;

public class FramePrincipal extends JFrame {
  JLabel labelSuperior = new JLabel();
  JButton btClientes = new JButton();
  JButton btContas = new JButton();
  Fachada fachada;

  public FramePrincipal(Fachada f) {
    this.fachada = f;
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  private void jbInit() throws Exception {
    labelSuperior.setFont(new java.awt.Font("SansSerif", 3, 20));
    labelSuperior.setHorizontalAlignment(SwingConstants.CENTER);
    labelSuperior.setText("Sistema Bancrio");
    labelSuperior.setBounds(new Rectangle(68, 41, 179, 37));
    this.getContentPane().setLayout(null);
    btClientes.setText("Clientes");
    btClientes.setBounds(new Rectangle(45, 116, 91, 29));
    btClientes.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        btClientes_actionPerformed(e);
      }
    });
    btContas.setBounds(new Rectangle(178, 117, 91, 29));
    btContas.setText("Contas");
    btContas.addActionListener(new FramePrincipal_btContas_actionAdapter(this));
    this.setDefaultCloseOperation(3);
    this.getContentPane().add(labelSuperior, null);
    this.getContentPane().add(btClientes, null);
    this.getContentPane().add(btContas, null);
  }

  void btClientes_actionPerformed(ActionEvent e) {
    FrameCliente frameClientes = new FrameCliente(fachada);
    frameClientes.setSize(430,300);
    frameClientes.setVisible(true);
  }

  void btContas_actionPerformed(ActionEvent e) {
    FrameConta frameContas = new FrameConta(fachada);
    frameContas.setSize(430,300);
    frameContas.setVisible(true);
  }

}

class FramePrincipal_btContas_actionAdapter implements java.awt.event.ActionListener {
  FramePrincipal adaptee;

  FramePrincipal_btContas_actionAdapter(FramePrincipal adaptee) {
    this.adaptee = adaptee;
  }
  public void actionPerformed(ActionEvent e) {
    adaptee.btContas_actionPerformed(e);
  }
}