package banco.conta;

import banco.cliente.*;

public class Conta extends ContaAbstrata{

	public Conta(String num) {
          super(num);
	}
	public Conta(String num, double s) {
          super(num,s);
	}
	public Conta(String num, double s, Cliente c) {
          super(num,s,c);
	}

	public void debitar(double valor) throws SaldoInsuficienteException{
          double saldo = this.getSaldo();
	  if(valor <= saldo){
            this.setSaldo(saldo - valor);
	  }else{
  	    throw new SaldoInsuficienteException("Saldo insuficiente");
	  }
	}
}
