package banco.gui;

import java.awt.*;
import javax.swing.*;
import banco.conta.*;
import banco.fachada.*;
import java.awt.event.*;

public class FrameConta extends JFrame {
  JTextField tfNumero = new JTextField();
  JTextField tfValor = new JTextField();
  JLabel lbValor = new JLabel();
  JLabel lbNumero = new JLabel();
  JLabel lbCliente = new JLabel();
  private Fachada fachada;
  JTextField tfCpf = new JTextField();
  JLabel lbTipo = new JLabel();
  ButtonGroup grupoContas = new ButtonGroup();
  JRadioButton rbConta = new JRadioButton();
  JRadioButton rbPoupanca = new JRadioButton();
  JRadioButton rbContaBonificada = new JRadioButton();
  JRadioButton rbContaImposto = new JRadioButton();
  JButton btCadastrar = new JButton();
  JButton btRemover = new JButton();
  JButton btAtualizar = new JButton();
  JButton btProcurar = new JButton();
  JButton btFechar = new JButton();

  public FrameConta(Fachada f) {
    this.fachada = f;
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  private void jbInit() throws Exception {
    lbNumero.setText("Numero:");
    lbNumero.setBounds(new Rectangle(9, 45, 62, 22));
    lbNumero.setText("Numero:");
    lbValor.setText("Valor:");
    lbValor.setText("Valor:");
    lbValor.setBounds(new Rectangle(9, 74, 62, 22));
    tfValor.setBounds(new Rectangle(71, 73, 123, 23));
    tfNumero.setBounds(new Rectangle(71, 43, 123, 23));
    this.getContentPane().setLayout(null);
    lbCliente.setText("Valor:");
    lbCliente.setBounds(new Rectangle(9, 74, 62, 22));
    lbCliente.setText("Cliente:");
    lbCliente.setBounds(new Rectangle(8, 103, 62, 22));
    tfCpf.setBounds(new Rectangle(71, 103, 83, 23));
    lbTipo.setToolTipText("");
    lbTipo.setText("Tipo de Conta:");
    lbTipo.setBounds(new Rectangle(10, 140, 96, 23));
    rbConta.setText("Conta");
    rbConta.setBounds(new Rectangle(12, 167, 61, 25));
    rbPoupanca.setBounds(new Rectangle(77, 167, 85, 25));
    rbPoupanca.setText("Poupana");
    rbContaBonificada.setBounds(new Rectangle(170, 167, 116, 25));
    rbContaBonificada.setText("Conta Bonificada");
    rbContaImposto.setBounds(new Rectangle(306, 167, 104, 25));
    rbContaImposto.setText("Conta Imposto");
    btCadastrar.setBounds(new Rectangle(11, 216, 75, 27));
    btCadastrar.setMargin(new Insets(2, 4, 2, 4));
    btCadastrar.setText("Cadastrar");
    btRemover.setText("Remover");
    btRemover.setMargin(new Insets(2, 4, 2, 4));
    btRemover.setBounds(new Rectangle(96, 217, 75, 27));
    btAtualizar.setText("Atualizar");
    btAtualizar.setMargin(new Insets(2, 4, 2, 4));
    btAtualizar.setBounds(new Rectangle(180, 217, 75, 27));
    btProcurar.setText("Procurar");
    btProcurar.setMargin(new Insets(2, 4, 2, 4));
    btProcurar.setBounds(new Rectangle(266, 218, 75, 27));
    btFechar.setBounds(new Rectangle(357, 217, 75, 27));
    btFechar.setMargin(new Insets(2, 4, 2, 4));
    btFechar.setText("Fechar");
    this.getContentPane().add(lbNumero, null);
    this.getContentPane().add(lbValor, null);
    this.getContentPane().add(tfNumero, null);
    this.getContentPane().add(tfValor, null);
    this.getContentPane().add(tfCpf, null);
    this.getContentPane().add(lbCliente, null);
    this.getContentPane().add(lbTipo, null);
    this.getContentPane().add(rbConta, null);
    this.getContentPane().add(rbPoupanca, null);
    this.getContentPane().add(rbContaBonificada, null);
    grupoContas.add(rbConta);
    grupoContas.add(rbPoupanca);
    grupoContas.add(rbContaBonificada);
    grupoContas.add(rbContaImposto);
    this.getContentPane().add(btCadastrar, null);
    this.getContentPane().add(btRemover, null);
    this.getContentPane().add(btAtualizar, null);
    this.getContentPane().add(btProcurar, null);
    this.getContentPane().add(btFechar, null);
    this.getContentPane().add(rbContaImposto, null);
  }

}
